/* ================================================================================
  Global variables for the CSS
================================================================================ */

// Colors
$color-dark-primary: #070707;
$color-light-primary: #E6E8E6;
$color-neutral-primary: #FFF;
$color-accent-primary: #0407d1;
$color-accent-secondary: #087E8B;

// Fonts
$font-family-title-primary: 'Poppins', sans-serif;
$font-family-title-secondary: $font-family-title-primary;
$font-family-body: 'Poppins', sans-serif;

// Font weights
$font-weight-light: 300;
$font-weight-normal: 400;
$font-weight-bold: 700;

// Font sizes
$font-size-title-1: calculateRem(48px);
$font-size-title-2: calculateRem(42px);
$font-size-title-3: calculateRem(36px);
$font-size-title-4: calculateRem(32px);
$font-size-title-5: calculateRem(28px);
$font-size-title-6: calculateRem(22px);
$font-size-body: calculateRem(18px);
$font-size-smaller: calculateRem(14px);
$font-size-smallest: calculateRem(12px);

// Z-index
$z-index: (
		under: -999,
		default: 1,
		overcontent: 2000,
		dropdown: 3000,
		overlay: 4000,
		modal: 5000
);

// =============== Components
// $component-state-property-size

// Aside width
$aside-width: calculateRem(150px);

// Main
$main-width: calc(100% - #{$aside-width});
$main-side-padding: 6rem;

// Articles list
$article-side-padding: $main-side-padding; 

// Hamburger toggle
$burger-dimensions: $aside-width;
$hamburger-padding-x: 0;
$hamburger-padding-y: 0;
$hamburger-layer-color: $color-light-primary;
$hamburger-hover-opacity: 1;
$hamburger-layer-width: 70px;
$hamburger-layer-height: 1px;
$hamburger-layer-spacing: 23px;
$hamburger-types: ('spin');

// Main nav
$navItem-hover-transitionSpeed: 0.25s;

// Navigation entre projets
$projectsNav-height: 50px;